package app.furmeet.events.brasilfurfest.helper.observables

import org.jetbrains.anko.AnkoAsyncContext

fun <T> Observer<T>.update(observable: AnkoAsyncContext<Observable<T>>, args: T?) {
    observable.weakRef.get()?.let { this.update(it, args) }
}
